<?php

namespace App\UI;

use Nette\Application\UI\Presenter;

abstract class BasePresenter extends Presenter
{
    protected function startup(): void
    {
        parent::startup();

        // Pokud uživatel není přihlášen a nepokouší se právě přihlásit
        if (!$this->getUser()->isLoggedIn() && !$this->isLinkCurrent('Sign:in')) {
            $this->redirect('Sign:in');
        }
    }
}